A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Structures | Functions
features
ArrayFire Functions

Lookup values of an array based on sequences and/or arrays More...

## Data Structures
class | features
| Represents a feature returned by a feature detector. More...

## Functions
AFAPI af_err | af_create_features (af_features *feat, dim_t num)
| Creates a new af_feature object with `num` features.
AFAPI af_err | af_retain_features (af_features *out, const af_features feat)
| Increases the reference count of the feature and all of its associated arrays.
AFAPI af_err | af_get_features_num (dim_t *num, const af_features feat)
| Returns the number of features associated with this object.
AFAPI af_err | af_get_features_xpos (af_array *out, const af_features feat)
| Returns the x positions of the features.
AFAPI af_err | af_get_features_ypos (af_array *out, const af_features feat)
| Returns the y positions of the features.
AFAPI af_err | af_get_features_score (af_array *score, const af_features feat)
| Returns the scores of the features.
AFAPI af_err | af_get_features_orientation (af_array *orientation, const af_features feat)
| Returns the orientations of the features.
AFAPI af_err | af_get_features_size (af_array *size, const af_features feat)
| Returns the size of the features.
AFAPI af_err | af_release_features (af_features feat)
| Reduces the reference count of each of the features.

## Detailed Description

Lookup values of an array based on sequences and/or arrays

## Function Documentation

## ◆ af_create_features()

AFAPI af_err af_create_features | ( | af_features * | feat,
|  | dim_t | num )

Creates a new af_feature object with `num` features.

Parameters

  [out] | feat | The new feature that will be created
  [in] | num | The number of features that will be in the new features object

Returns
  AF_SUCCESS if successful

## ◆ af_get_features_num()

AFAPI af_err af_get_features_num | ( | dim_t * | num,
|  | const af_features | feat )

Returns the number of features associated with this object.

Parameters

  [out] | num | The number of features in the object
  [in] | feat | The feature whose count will be returned

## ◆ af_get_features_orientation()

AFAPI af_err af_get_features_orientation | ( | af_array * | orientation,
|  | const af_features | feat )

Returns the orientations of the features.

Parameters

  [out] | orientation | An array with the orientations of the features
  [in] | feat | The features object

## ◆ af_get_features_score()

AFAPI af_err af_get_features_score | ( | af_array * | score,
|  | const af_features | feat )

Returns the scores of the features.

Parameters

  [out] | score | An array with scores of the features
  [in] | feat | The features object

## ◆ af_get_features_size()

AFAPI af_err af_get_features_size | ( | af_array * | size,
|  | const af_features | feat )

Returns the size of the features.

Parameters

  [out] | size | An array with the sizes of the features
  [in] | feat | The features object

## ◆ af_get_features_xpos()

AFAPI af_err af_get_features_xpos | ( | af_array * | out,
|  | const af_features | feat )

Returns the x positions of the features.

Parameters

  [out] | out | An array with all x positions of the features
  [in] | feat | The features object

## ◆ af_get_features_ypos()

AFAPI af_err af_get_features_ypos | ( | af_array * | out,
|  | const af_features | feat )

Returns the y positions of the features.

Parameters

  [out] | out | An array with all y positions of the features
  [in] | feat | The features object

## ◆ af_release_features()

AFAPI af_err af_release_features | ( | af_features | feat | ) |

Reduces the reference count of each of the features.

Parameters

  [in] | feat | The features object whose reference count will be reduced

## ◆ af_retain_features()

AFAPI af_err af_retain_features | ( | af_features * | out,
|  | const af_features | feat )

Increases the reference count of the feature and all of its associated arrays.

Parameters

  [out] | out | The reference to the incremented array
  [in] | feat | The features object whose will be incremented object

Returns
  AF_SUCCESS if successful